# Copyright 2019 Red Hat Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
FROM openshift/golang-builder:1.12 AS builder
ADD . .
RUN mkdir -p /go/src/github.com/konveyor/openshift-migration-plugin
RUN tar --strip-components=1 -xvf release-1.2.0.tar.gz -C /go/src/github.com/konveyor/openshift-migration-plugin
WORKDIR /go/src/github.com/konveyor/openshift-migration-plugin
ENV BUILDTAGS containers_image_ostree_stub exclude_graphdriver_devicemapper exclude_graphdriver_btrfs containers_image_openpgp exclude_graphdriver_overlay
ENV BIN velero-plugins
RUN go build -installsuffix "static" -tags "$BUILDTAGS" -i -o _output/$BIN ./$BIN

FROM ubi8-minimal:8-released
RUN mkdir /plugins
COPY --from=builder /go/src/github.com/konveyor/openshift-migration-plugin/_output/$BIN /plugins/
USER nobody:nobody
ENTRYPOINT ["/bin/bash", "-c", "cp /plugins/* /target/."]

LABEL \
        com.redhat.component="openshift-migration-plugin-container" \
        version="v1.2" \
        name="rhcam/openshift-migration-plugin" \
        License="ASL 2.0" \
        release="1" \
        io.k8s.display-name="Cluster Application Migration" \
        io.openshift.tags="migration" \
        io.k8s.description="Cluster Application Migration Velero Plugin" \
        summary="Cluster Application Migration Velero Plugin" \
        maintainer="Migration Team <ocp-migrate-team@redhat.com>"
